API documentation | API docs for agents | OpenAPI 3.1
GET /api/v1/loads/{loadId}/dispatches/{dispatchId}
ark.get_dispatch_charge_snapshot
Read dispatch charges and revision
- Availability
- Expanded preview
- Scopes
loads:read- ARK permissions
canViewLoadscanAssignLoads- Team visibility
- Required and enforced
- Idempotency-Key
- Not required
- Approval
- No MCP approval on REST API-token calls
- Rate limit
- API credential and organization budgets
Parameters
loadIdpathstringrequired- format: uuid
dispatchIdpathstringrequired- format: uuid
Request body
None.
Example request
Shell
curl 'https://arktms.com/api/v1/loads/<loadId>/dispatches/<dispatchId>' \
-H "Authorization: Bearer $ARK_API_TOKEN"Success response
Current dispatch identity, chargeRevision, and dispatchPay in the standard operation response envelope.
No response body.
Errors
HTTP 401- Authentication required
HTTP 403- Permission, scope, team, or entitlement denied
HTTP 404- Resource not found